Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail
Class MessagingException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.mail.MessagingException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  AuthenticationFailedException, FolderClosedException, FolderNotFoundException, IllegalWriteException, MessageRemovedException, MethodNotSupportedException, NoSuchProviderException, ParseException, ReadOnlyFolderException, SearchException, SendFailedException, SMTPAddressSucceededException, StoreClosedException

    public class MessagingException

extends java.lang.Exception

The base class for all exceptions thrown by the Messaging classes

See Also:
  Serialized Form

Constructor Summary
`MessagingException()` Constructs a MessagingException with no detail message.
`MessagingException(java.lang.String s)` Constructs a MessagingException with the specified detail message.
`MessagingException(java.lang.String s, java.lang.Exception e)` Constructs a MessagingException with the specified Exception and detail message.

Method Summary
`java.lang.Throwable` | `getCause()` Overrides the `getCause` method of `Throwable` to return the next exception in the chain of nested exceptions.
`java.lang.Exception` | `getNextException()` Get the next exception chained to this one.
`boolean` | `setNextException(java.lang.Exception ex)` Add an exception to the end of the chain.
`java.lang.String` | `toString()` Override toString method to provide information on nested exceptions.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MessagingException

    public MessagingException()

  Constructs a MessagingException with no detail message.

### MessagingException

    public MessagingException(java.lang.String s)

  Constructs a MessagingException with the specified detail message.

  Parameters:
    `s` - the detail message

### MessagingException

    public MessagingException(java.lang.String s,
                              java.lang.Exception e)

  Constructs a MessagingException with the specified Exception and detail message. The specified exception is chained to this exception.

  Parameters:
    `s` - the detail message
    `e` - the embedded exception
  See Also:
    `getNextException()`, `setNextException(java.lang.Exception)`, `getCause()`

Method Detail

### getNextException

    public java.lang.Exception getNextException()

  Get the next exception chained to this one. If the next exception is a MessagingException, the chain may extend further.

  Returns:
    next Exception, null if none.

### getCause

    public java.lang.Throwable getCause()

  Overrides the `getCause` method of `Throwable` to return the next exception in the chain of nested exceptions.

  Overrides:
    `getCause` in class `java.lang.Throwable`
  Returns:
    next Exception, null if none.

### setNextException

    public boolean setNextException(java.lang.Exception ex)

  Add an exception to the end of the chain. If the end is not a MessagingException, this exception cannot be added to the end.

  Parameters:
    `ex` - the new end of the Exception chain
  Returns:
    `true` if this Exception was added, `false` otherwise.

### toString

    public java.lang.String toString()

  Override toString method to provide information on nested exceptions.

  Overrides:
    `toString` in class `java.lang.Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD